export default class LegendHorizontal extends Component<any, any, any> {
    constructor(props: any);
    /** @type {Record<number, LegendItem | null>} */
    legendItemRefs: Record<number, LegendItem | null>;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
import LegendItem from "./LegendItem";
